org.eclipse.gef.common.adapt

## Interface IAdaptable.Bound<A extends IAdaptable>

Type Parameters:
  `A` - The type of `IAdaptable` this `IAdaptable.Bound` may be bound to.

All Known Implementing Classes:
  IAdaptable.Bound.Impl

Enclosing interface:
  IAdaptable

    public static interface IAdaptable.Bound<A extends IAdaptable>

To be implemented by an adapter to indicate that it intends to be bounded to the respective `IAdaptable` it is registered at.

### Property Summary

All Methods Instance Methods Abstract Methods
`javafx.beans.property.ReadOnlyObjectProperty<A>` `adaptable` A read-only object property providing the `IAdaptable` this `IAdaptable.Bound` is bound to.

### Nested Class Summary

Nested Classes
`static class` `IAdaptable.Bound.Impl<T extends IAdaptable>` Default implementation of `IAdaptable.Bound` that manages a `ReadOnlyObjectProperty` for the `IAdaptable`.

### Method Summary

All Methods Instance Methods Abstract Methods
`javafx.beans.property.ReadOnlyObjectProperty<A>` `adaptableProperty()` A read-only object property providing the `IAdaptable` this `IAdaptable.Bound` is bound to.
`A` `getAdaptable()` Returns the `IAdaptable` this `IAdaptable.Bound` is currently bound to, or `null` if this `IAdaptable.Bound` is currently not bound to an `IAdaptable`.
`void` `setAdaptable(A adaptable)` Called by the `IAdaptable` this `IAdaptable.Bound` is registered at or unregistered from.

### Property Detail

#### adaptable

    javafx.beans.property.ReadOnlyObjectProperty<A extends IAdaptable> adaptableProperty

A read-only object property providing the `IAdaptable` this `IAdaptable.Bound` is bound to.

See Also:
  `getAdaptable()`, `setAdaptable(A)`

### Method Detail

#### adaptableProperty

    javafx.beans.property.ReadOnlyObjectProperty<A> adaptableProperty()

A read-only object property providing the `IAdaptable` this `IAdaptable.Bound` is bound to.

See Also:
  `getAdaptable()`, `setAdaptable(A)`

#### getAdaptable

    A getAdaptable()

Returns the `IAdaptable` this `IAdaptable.Bound` is currently bound to, or `null` if this `IAdaptable.Bound` is currently not bound to an `IAdaptable`.

Returns:
  The `IAdaptable` this `IAdaptable.Bound` is currently bound to, or `null` if this `IAdaptable.Bound` is currently not bound to an `IAdaptable`.

#### setAdaptable

    void setAdaptable(A adaptable)

Called by the `IAdaptable` this `IAdaptable.Bound` is registered at or unregistered from. When registering an `IAdaptable.Bound`, the `IAdaptable` will pass in a reference to itself, when unregistering an `IAdaptable.Bound` it will pass in `null`.

Parameters:
  `adaptable` - The `IAdaptable` this `IAdaptable.Bound` is bound to or `null` to unbind this `IAdaptable.Bound`.